Create Pulse Dashboard
curl --request POST \
--url https://api.duvo.ai/v2/artifacts \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"connection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.duvo.ai/v2/artifacts"
payload = {
"message": "<string>",
"connection_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', connection_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.duvo.ai/v2/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "<string>",
"author_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": null,
"selected_element": {
"selector": "<string>",
"label": "<string>",
"tag_name": "<string>",
"outer_html": "<string>",
"text": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Duvo Pulse
Create Pulse Dashboard
Create a new Duvo Pulse dashboard from a natural-language prompt (e.g. ‘open cases by queue this week’) and dispatch the first generation turn. Generation is asynchronous — poll GET /artifacts/ until status is completed.
POST
/
v2
/
artifacts
Create Pulse Dashboard
Was this page helpful?
⌘I